Bug 476750 - crash of virt-manager in F10 kills X
crash of virt-manager in F10 kills X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 17:14 EST by Michael DeHaan
Modified: 2009-12-18 02:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (99.56 KB, text/plain)
2008-12-16 17:15 EST, Michael DeHaan
no flags Details

  None (edit)
Description Michael DeHaan 2008-12-16 17:14:26 EST
Description of problem:

On F10, I'm installing a host started from koan, and I fire up virt-manager to watch it progress.  Once it's done in virt-manager the window goes away and I click "Run" to restart it (seeing I didn't use the --vm-poll option in koan's upstream this time, I have to restart the guest).  When I press "Run", X immediately crashes back to the console.  crobinson suggested reporting this against gtk-vnc  

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/X(xf86SigHandler+0x51) [0x80bcc81]
2: [0x130400]
3: /usr/bin/X(XkbStringText+0x2d) [0x81b0d0d]
4: /usr/bin/X(XkbWriteXKBGeometry+0x181) [0x81a10c1]
5: /usr/bin/X(XkbWriteXKBKeymapForNames+0x610) [0x81a0400]
6: /usr/bin/X(XkbDDXLoadKeymapByNames+0x1d7) [0x81ab4c7]
7: /usr/bin/X(ProcXkbGetKbdByName+0x40e) [0x81875be]
8: /usr/bin/X [0x818c808]
9: /usr/bin/X(Dispatch+0x34f) [0x8085e9f]
10: /usr/bin/X(main+0x47d) [0x806b71d]
11: /lib/libc.so.6(__libc_start_main+0xe5) [0x42e6e5]
12: /usr/bin/X [0x806ab01]

Fatal server error:
Caught signal 11.  Server aborting


Version-Release number of selected component (if applicable):

gtk-vnc:  0.3.8-1.fc10.i386 from updates-testing, all other rpms latest from updates-testing.


How reproducible:

Very


Steps to Reproduce:
1.  See description
2.
3.
  
Actual results:

Console starts up and I can watch it, doesn't crash X


Expected results:

Crashes X


Additional info:
Comment 1 Michael DeHaan 2008-12-16 17:15:57 EST
Created attachment 327178 [details]
Xorg log file
Comment 2 Daniel Berrange 2008-12-17 06:09:55 EST
If X is crashing, then the bug should be against X. A client should never be able to crash the server, and until the server crash is fixed, it'll be hard to debug the client code.
Comment 4 Bug Zapper 2009-11-18 02:48:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:18:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.